## scap-security-guide 0.1.39

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(scap-security-guide NONE)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${PROJECT_SOURCE_DIR}/cmake")
# This is set to silence GNUInstallDirs warning about no language being used with cmake
set(CMAKE_INSTALL_LIBDIR "/nowhere")
include(GNUInstallDirs)
include(FindPythonModule)

set(SSG_CONTENT_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/xml/scap/ssg/content")
set(SSG_GUIDE_INSTALL_DIR "${CMAKE_INSTALL_DOCDIR}/guides")
set(SSG_TABLE_INSTALL_DIR "${CMAKE_INSTALL_DOCDIR}/tables")
set(SSG_ANSIBLE_ROLE_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/scap-security-guide/ansible")
set(SSG_BASH_ROLE_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/scap-security-guide/bash")
set(SSG_KICKSTART_INSTALL_DIR "${CMAKE_INSTALL_DATADIR}/scap-security-guide/kickstart")

set(SSG_MAJOR_VERSION 0)
set(SSG_MINOR_VERSION 1)
set(SSG_PATCH_VERSION 39)
set(SSG_VERSION "${SSG_MAJOR_VERSION}.${SSG_MINOR_VERSION}.${SSG_PATCH_VERSION}")

set(SSG_VENDOR "ssgproject" CACHE STRING "Specify the XCCDF 1.2 vendor string.")

option(SSG_OVAL_511_ENABLED "If enabled, OVAL 5.11 and OVAL 5.10 checks will be used in the final content. Otherwise only 5.10 checks will be used." TRUE)
option(SSG_OVAL_SCHEMATRON_VALIDATION_ENABLED "If enabled, schematron validation will be performed as part of the ctest tests. Schematron takes a lot of time to complete but can find more issues than just plain XSD validation." TRUE)
option(SSG_SHELLCHECK_BASH_FIXES_VALIDATION_ENABLED "If enabled, shellcheck validation of bash fixes will be performed as part of the ctest tests. Shellcheck tests don't pass right now, this option is discouraged until that's fixed." FALSE)
option(SSG_LINKCHECKER_VALIDATION_ENABLED "If enabled, linkchecker will be used to validate URLs in all the HTML guides and tables." TRUE)
option(SSG_SVG_IN_XCCDF_ENABLED "If enabled, the built XCCDFs will include the SVG SCAP Security Guide logo." TRUE)

option(SSG_PRODUCT_CHROMIUM "If enabled, the Chromium SCAP content will be built" TRUE)
option(SSG_PRODUCT_DEBIAN8 "If enabled, the Debian8 SCAP content will be built" TRUE)
option(SSG_PRODUCT_FEDORA "If enabled, the Fedora SCAP content will be built" TRUE)
option(SSG_PRODUCT_FIREFOX "If enabled, the Firefox SCAP content will be built" TRUE)
option(SSG_PRODUCT_JBOSS_EAP6 "If enabled, the JBoss EAP6 SCAP content will be built" TRUE)
option(SSG_PRODUCT_JBOSS_FUSE6 "If enabled, the JBoss Fuse6 SCAP content will be built" TRUE)
option(SSG_PRODUCT_JRE "If enabled, the JRE SCAP content will be built" TRUE)
option(SSG_PRODUCT_OCP3 "If enabled, the RHOCP3 SCAP content will be built" TRUE)
option(SSG_PRODUCT_OPENSUSE "If enabled, the openSUSE SCAP content will be built" TRUE)
option(SSG_PRODUCT_OSP7 "If enabled, the RHOSP7 SCAP content will be built" TRUE)
option(SSG_PRODUCT_RHEL6 "If enabled, the RHEL6 SCAP content will be built" TRUE)
option(SSG_PRODUCT_RHEL7 "If enabled, the RHEL7 SCAP content will be built" TRUE)
option(SSG_PRODUCT_SUSE11 "If enabled, the SLE11 SCAP content will be built" TRUE)
option(SSG_PRODUCT_SUSE12 "If enabled, the SLE12 SCAP content will be built" TRUE)
option(SSG_PRODUCT_UBUNTU14 "If enabled, the Ubuntu14 SCAP content will be built" TRUE)
option(SSG_PRODUCT_UBUNTU16 "If enabled, the Ubuntu16 SCAP content will be built" TRUE)
option(SSG_PRODUCT_WRLINUX "If enabled, the WRLinux SCAP content will be built" TRUE)
option(SSG_PRODUCT_OL7 "If enabled, the Oracle Linux 7 SCAP content will be built" TRUE)

option(SSG_CENTOS_DERIVATIVES_ENABLED "If enabled, CentOS derivative content will be built from the RHEL content" TRUE)
option(SSG_SCIENTIFIC_LINUX_DERIVATIVES_ENABLED "If enabled, Scientific Linux derivative content will be built from the RHEL content" TRUE)

set(SSG_SHARED "${CMAKE_SOURCE_DIR}/shared")
set(SSG_SHARED_REFS "${SSG_SHARED}/references")
set(SSG_SHARED_TRANSFORMS "${SSG_SHARED}/transforms")
set(SSG_SHARED_UTILS "${SSG_SHARED}/utils")

message(STATUS "SCAP Security Guide ${SSG_VERSION}")
message(STATUS "(see ${CMAKE_SOURCE_DIR}/BUILD.md for build instructions)")
message(STATUS "")

# Strictly speaking in-source will work but will be very messy, let's
# discourage our users from using them
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
    message(FATAL_ERROR "In-source builds are not supported! Please use out of source builds:\n"
       "$ cd scap-security-guide\n"
       "$ rm CMakeCache.txt\n"
       "$ cd build\n"
       "$ cmake ../\n"
       "$ make -j4"
    )
endif()

find_package(PythonInterp 2 REQUIRED)
find_python_module(yaml REQUIRED)
find_python_module(jinja2 REQUIRED)

find_package(OpenSCAP REQUIRED)

if (SSG_OVAL_511_ENABLED AND NOT "${OSCAP_V_OUTPUT}" MATCHES "OVAL Version: 5.11")
    set(SSG_OVAL_511_ENABLED OFF CACHE BOOL "OVAL 5.11 disabled because your version of OpenSCAP doesn't support it" FORCE)
    message(WARNING "Your version of OpenSCAP does not support OVAL 5.11, disabling OVAL 5.11 for the SSG build.")
endif()

execute_process(
    COMMAND "${PYTHON_EXECUTABLE}" "${SSG_SHARED_UTILS}/oscap-svg-support.py" "${OPENSCAP_OSCAP_EXECUTABLE}"
    RESULT_VARIABLE OSCAP_SVG_SUPPORT_RESULT
)
# OSCAP_SVG_SUPPORT_RESULT == 0 means SVG is supported
if (SSG_SVG_IN_XCCDF_ENABLED AND NOT OSCAP_SVG_SUPPORT_RESULT EQUAL 0)
    set(SSG_SVG_IN_XCCDF_ENABLED OFF CACHE BOOL "SVG in XCCDF disabled because your version OpenSCAP doesn't support it" FORCE)
    message(WARNING "Your version of OpenSCAP does not support having the SVG logo in the XCCDF, disabling SVG logo.")
endif()

find_program(XSLTPROC_EXECUTABLE NAMES xsltproc)
if (NOT XSLTPROC_EXECUTABLE)
    message(SEND_ERROR "xsltproc is required!")
endif()

find_program(XMLLINT_EXECUTABLE NAMES xmllint)
if (NOT XMLLINT_EXECUTABLE)
    message(SEND_ERROR "xmllint is required!")
endif()

find_program(XMLWF_EXECUTABLE NAMES xmlwf)
if (NOT XMLWF_EXECUTABLE)
    message(SEND_ERROR "xmlwf is required!")
endif()

find_program(SED_EXECUTABLE NAMES sed)
if (NOT SED_EXECUTABLE)
    message(SEND_ERROR "sed is required!")
endif()

find_program(SHELLCHECK_EXECUTABLE NAMES shellcheck)
find_program(LINKCHECKER_EXECUTABLE NAMES linkchecker)
find_program(GREP_EXECUTABLE NAMES grep)

configure_file("${CMAKE_SOURCE_DIR}/oval.config.in" "${CMAKE_BINARY_DIR}/oval.config")

message(STATUS "CMake:")
message(STATUS "generator: ${CMAKE_GENERATOR}")
message(STATUS "source directory: ${CMAKE_SOURCE_DIR}")
message(STATUS "build directory: ${CMAKE_BINARY_DIR}")
message(STATUS " ")

message(STATUS "Tools:")
message(STATUS "python: ${PYTHON_EXECUTABLE} (version: ${PYTHON_VERSION_STRING})")
message(STATUS "python yaml module: ${PY_YAML}")
message(STATUS "python jinja2 module: ${PY_JINJA2}")
message(STATUS "oscap: ${OPENSCAP_OSCAP_EXECUTABLE} (version: ${OSCAP_VERSION})")
message(STATUS "xsltproc: ${XSLTPROC_EXECUTABLE}")
message(STATUS "xmllint: ${XMLLINT_EXECUTABLE}")
message(STATUS "xmlwf: ${XMLWF_EXECUTABLE}")
message(STATUS "sed: ${SED_EXECUTABLE}")
message(STATUS "shellcheck (optional): ${SHELLCHECK_EXECUTABLE}")
message(STATUS "linkchecker (optional): ${LINKCHECKER_EXECUTABLE}")
message(STATUS "grep (optional): ${GREP_EXECUTABLE}")
message(STATUS " ")

message(STATUS "Build options:")
message(STATUS "SSG vendor string: ${SSG_VENDOR}")
message(STATUS "OVAL 5.11: ${SSG_OVAL_511_ENABLED}")
message(STATUS "OVAL schematron validation: ${SSG_OVAL_SCHEMATRON_VALIDATION_ENABLED}")
message(STATUS "shellcheck bash fixes validation: ${SSG_SHELLCHECK_BASH_FIXES_VALIDATION_ENABLED}")
message(STATUS "SVG logo in XCCDFs: ${SSG_SVG_IN_XCCDF_ENABLED}")
message(STATUS " ")

message(STATUS "Products:")
message(STATUS "Chromium: ${SSG_PRODUCT_CHROMIUM}")
message(STATUS "Debian 8: ${SSG_PRODUCT_DEBIAN8}")
message(STATUS "Fedora: ${SSG_PRODUCT_FEDORA}")
message(STATUS "Firefox: ${SSG_PRODUCT_FIREFOX}")
message(STATUS "JBoss EAP 6: ${SSG_PRODUCT_JBOSS_EAP6}")
message(STATUS "JBoss Fuse 6: ${SSG_PRODUCT_JBOSS_FUSE6}")
message(STATUS "JRE: ${SSG_PRODUCT_JRE}")
message(STATUS "openSUSE: ${SSG_PRODUCT_OPENSUSE}")
message(STATUS "RHOCP3: ${SSG_PRODUCT_OCP3}")
message(STATUS "RHEL-OSP7: ${SSG_PRODUCT_OSP7}")
message(STATUS "RHEL 6: ${SSG_PRODUCT_RHEL6}")
message(STATUS "RHEL 7: ${SSG_PRODUCT_RHEL7}")
message(STATUS "SUSE 11: ${SSG_PRODUCT_SUSE11}")
message(STATUS "SUSE 12: ${SSG_PRODUCT_SUSE12}")
message(STATUS "Ubuntu 14: ${SSG_PRODUCT_UBUNTU14}")
message(STATUS "Ubuntu 16: ${SSG_PRODUCT_UBUNTU16}")
message(STATUS "WRLinux: ${SSG_PRODUCT_WRLINUX}")
message(STATUS "Oracle Linux 7: ${SSG_PRODUCT_OL7}")

message(STATUS " ")

enable_testing()

include(SSGCommon)

# Targets 'stats', 'profile-stats' and 'zipfile' need to be added
# before any product because they will receive dependencies from products added

add_custom_target(stats)
add_custom_target(profile-stats)

ssg_build_bash_remediation_functions()

# ZIP only contains source datastreams and kickstarts, people who
# want sources to build from should get the tarball instead.
if(SSG_OVAL_511_ENABLED)
    ssg_build_zipfile("scap-security-guide-${SSG_VERSION}")
    ssg_build_nist_zipfile("scap-security-guide-${SSG_VERSION}")
else()
    ssg_build_zipfile("scap-security-guide-${SSG_VERSION}-oval-5.10")
    ssg_build_nist_zipfile("scap-security-guide-${SSG_VERSION}-oval-5.10")
endif()

if (SSG_PRODUCT_CHROMIUM)
    add_subdirectory("chromium")
endif()
if (SSG_PRODUCT_DEBIAN8)
    add_subdirectory("debian8")
endif()
if (SSG_PRODUCT_FEDORA)
    add_subdirectory("fedora")
endif()
if (SSG_PRODUCT_FIREFOX)
    add_subdirectory("firefox")
endif()
if (SSG_PRODUCT_JBOSS_EAP6)
    add_subdirectory("eap6")
endif()
if (SSG_PRODUCT_JBOSS_FUSE6)
    add_subdirectory("fuse6")
endif()
if (SSG_PRODUCT_JRE)
    add_subdirectory("jre")
endif()
if (SSG_PRODUCT_OCP3)
    #add_subdirectory("ocp3")
endif()
if (SSG_PRODUCT_OPENSUSE)
    add_subdirectory("opensuse")
endif()
if (SSG_PRODUCT_OSP7)
    add_subdirectory("rhel-osp7")
endif()
if (SSG_PRODUCT_RHEL6)
    add_subdirectory("rhel6")
endif()
if (SSG_PRODUCT_RHEL7)
    add_subdirectory("rhel7")
endif()
if (SSG_PRODUCT_SUSE11)
    add_subdirectory("sle11")
endif()
if (SSG_PRODUCT_SUSE12)
    add_subdirectory("sle12")
endif()
if (SSG_PRODUCT_UBUNTU14)
    add_subdirectory("ubuntu1404")
endif()
if (SSG_PRODUCT_UBUNTU16)
    add_subdirectory("ubuntu1604")
endif()

if (SSG_PRODUCT_WRLINUX)
    add_subdirectory("wrlinux")
endif()

if (SSG_PRODUCT_OL7)
    add_subdirectory("ol7")
endif()


ssg_define_guide_and_table_tests()

install(FILES "${CMAKE_SOURCE_DIR}/LICENSE"
    DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(FILES "${CMAKE_SOURCE_DIR}/README.md"
    DESTINATION ${CMAKE_INSTALL_DOCDIR})
install(FILES "${CMAKE_SOURCE_DIR}/Contributors.md"
    DESTINATION ${CMAKE_INSTALL_DOCDIR})

install(FILES "docs/scap-security-guide.8"
    DESTINATION "${CMAKE_INSTALL_MANDIR}/man8")

# We use CPack to generate the tarball with all sources and
# packages for testing

# only CPack should follow
set(CPACK_CMAKE_GENERATOR "Unix Makefiles")
set(CPACK_SOURCE_GENERATOR "TBZ2")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "scap-security-guide-${SSG_VERSION}" CACHE INTERNAL "tarball basename")
set(CPACK_SOURCE_IGNORE_FILES
"\\\\.git.*"

"build/"
"~$"

"\\\\CMakeLists.txt.user"
)
# Common definitions for RPM and DEB packages
set(CPACK_PACKAGE_VERSION ${SSG_VERSION})
set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Security guidance and baselines in SCAP formats")
set(CPACK_PACKAGE_VENDOR "scap-security-guide")
# The package contact is needed to build the deb package
set(CPACK_PACKAGE_CONTACT "open-scap-list@redhat.com")
set(CPACK_PACKAGE_RELOCATABLE FALSE)

# This adds "${?dist} to Release field in spec file
set(CPACK_RPM_PACKAGE_RELEASE "1%{?dist}")
set(CPACK_RPM_EXCLUDE_FROM_AUTO_FILELIST_ADDITION "/usr/share/xml;/usr/share/man;/usr/share/man/man8")
set(CPACK_RPM_PACKAGE_GROUP "Applications/System")
set(CPACK_RPM_PACKAGE_LICENSE "BSD-3-Clause")
set(CPACK_RPM_PACKAGE_URL "https://www.open-scap.org/security-policies/scap-security-guide/")
set(CPACK_RPM_PACKAGE_ARCHITECTURE "noarch")

=== chromium/CMakeLists.txt ===
# Sometimes our users will try to do: "cd chromium; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("chromium")

=== debian8/CMakeLists.txt ===
# Sometimes our users will try to do: "cd debian8; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("debian8")

=== eap6/CMakeLists.txt ===
# Sometimes our users will try to do: "cd jboss_eap6; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

set(PRODUCT "eap6")
set(DISA_SRG_TYPE "application")

ssg_build_product(${PRODUCT})

ssg_build_html_nistrefs_table(${PRODUCT} "stig-${PRODUCT}-disa")

ssg_build_html_cce_table(${PRODUCT})

ssg_build_html_srgmap_tables(${PRODUCT} ${DISA_SRG_TYPE})

ssg_build_html_stig_tables(${PRODUCT} "stig-${PRODUCT}-disa")

=== fedora/CMakeLists.txt ===
# Sometimes our users will try to do: "cd fedora; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("fedora")

=== firefox/CMakeLists.txt ===
# Sometimes our users will try to do: "cd firefox; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("firefox")

=== fuse6/CMakeLists.txt ===
# Sometimes our users will try to do: "cd jboss_fuse6; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("fuse6")

=== jre/CMakeLists.txt ===
# Sometimes our users will try to do: "cd jre; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("jre")

=== ocp3/CMakeLists.txt ===
# Sometimes our users will try to do: "cd ocp3; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

set(PRODUCT "ocp3")
#set(DISA_SRG_TYPE "os")

#ssg_build_product(${PRODUCT})

#ssg_build_html_table_by_ref(${PRODUCT} "nist")
#ssg_build_html_table_by_ref(${PRODUCT} "cis")
#ssg_build_html_table_by_ref(${PRODUCT} "cui")
#ssg_build_html_table_by_ref(${PRODUCT} "pcidss")

#ssg_build_html_nistrefs_table(${PRODUCT} "common")
#ssg_build_html_nistrefs_table(${PRODUCT} "ospp-${PRODUCT}")
#ssg_build_html_nistrefs_table(${PRODUCT} "C2S")
#ssg_build_html_nistrefs_table(${PRODUCT} "stig-${PRODUCT}-disa")

#ssg_build_html_cce_table(${PRODUCT})

#ssg_build_html_srgmap_tables(${PRODUCT} ${DISA_SRG_TYPE})

#ssg_build_html_stig_tables(${PRODUCT} "stig-${PRODUCT}-disa")

=== ol7/CMakeLists.txt ===
# Sometimes our users will try to do: "cd ol7; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("ol7")

=== opensuse/CMakeLists.txt ===
# Sometimes our users will try to do: "cd opensuse; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("opensuse")

=== rhel-osp7/CMakeLists.txt ===
# Sometimes our users will try to do: "cd rhosp7; cmake ." That needs to error in a nice way.
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    message(FATAL_ERROR "cmake has to be used on the root CMakeLists.txt, see BUILD.md for more details!")
endif()

ssg_build_product("rhel-osp7")

=== debian/changelog ===
scap-security-guide (0.1.39-2) unstable; urgency=medium

  * Corrected lintian warnings.
  * Deleted useless files in debian/ dir.

 -- Philippe Thierry <phil@reseau-libre.net>  Thu, 26 Jul 2018 16:58:28 +0200

scap-security-guide (0.1.39-1) unstable; urgency=medium

  * bump to 1.0.39.
  * Updated Debian install for Cmake build system.
  * Add Chromium to application and deleted webmin and RHEL5 which are not
    default targets.
  * Add SuSE Linux 12 to ssg-sle11.
  * Add Ubuntu1404 to ssg-debderived.
  * Updated Debian packaging for pristine-tar based packaging.

 -- Philippe Thierry <phil@reseau-libre.net>  Wed, 25 Jul 2018 16:43:51 +0200

=== debian/control ===
Source: scap-security-guide
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Philippe Thierry <phil@reseau-libre.net>
Build-Depends:
 debhelper (>=10),
 python3 (>> 3.6),
 python2 (>> 2.7),
 python-requests,
 python-yaml,
 python-jinja2,
 python-lxml,
 xsltproc,
 expat,
 libxml2-utils,
 libopenscap8,
 cmake
Standards-Version: 4.1.5
X-Python3-Version: >= 3.6
Homepage: https://www.open-scap.org/security-policies/scap-security-guide
Vcs-Git: https://salsa.debian.org/pkg-security-team/scap-security-guide.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/scap-security-guide

Package: ssg-base
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Recommends: libopenscap8
Suggests: ansible, puppet
Description: SCAP Security guide base content and documentation
 This package contains the basic content and manual pages explaining how
 the SCAP-security-guide works. It deploys man page and all various
 information about current SSG release.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.

Package: ssg-debian
Architecture: all
Depends: ${misc:Depends}, ssg-base
Multi-Arch: foreign
Description: SCAP Guides and benchmarks targeting Debian 8
 This package contains all the SCAP guides, benchmarks and remediation
 files for Debian Jessie. Remediation files are Shell-based, Ansible-based
 and Puppet-based depending on the target infrastructure deployment policy.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.

Package: ssg-debderived
Architecture: all
Depends: ${misc:Depends}, ssg-base
Multi-Arch: foreign
Description: SCAP Guides and benchmarks targeting Debian-based OS
 This package contains all the SCAP guides for deb-based distributions
 such as Ubuntu Trusty or Xenial.
 This package contains all the SCAP guides, benchmarks and remediation
 files. Remediation files are Shell-based, Ansible-based  and
 Puppet-based depending on the target infrastructure deployment policy.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.

Package: ssg-applications
Architecture: all
Depends: ${misc:Depends}, ssg-base
Multi-Arch: foreign
Description: SCAP Guides and benchmarks targeting userspace applications
 This package contains all the SCAP guides, benchmarks and remediation
 files for userspace applications. Remediation files are Shell-based,
 Ansible-based and Puppet-based depending on the target infrastructure
 deployment policy.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.

Package: ssg-nondebian
Architecture: all
Depends: ${misc:Depends}, ssg-base
Multi-Arch: foreign
Description: SCAP Guides and benchmarks targeting other GNU/Linux OS
 This package contains all the SCAP guides, benchmarks and remediation
 files for nondebian operating system targets such as Red-Hat RHEL or SuSE.
 Remediation files are Shell-based, Ansible-based and Puppet-based depending
 on the target infrastructure deployment policy.
 .
 SCAP (Security Content Automation Protocol) is a set of standards used in
 order to automatically manage vulnerabilities and policy compliance
 evaluation on a complete deployed infrastructure. SSG provides various
 official policies such as PCI-DSS, NIST SP-800-53 or ANSSI best practices
 as official policies.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


%:
	dh $@ 

# get back current tag release notes from GitHub
mkrelease:
	quilt push changelog.patch
	debian/lib/release.py
	dos2unix changelog
	quilt refresh
	quilt pop -a
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the changelog file has been
	@echo generated SUCCESSFULLY.
	@echo
	exit 1

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/OpenSCAP/scap-security-guide/tags .*/v?(\d\S*)\.tar\.gz

## scap-security-guide 0.1.62

=== debian/changelog ===
scap-security-guide (0.1.62-2) unstable; urgency=medium

  * Source-only upload.

 -- Samuel Henrique <samueloph@debian.org>  Tue, 16 Aug 2022 18:59:52 +0100

scap-security-guide (0.1.62-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop all Python 2 dependencies. Closes: #938438
  * Patches:
    - man_lexgrog_support.patch, rebased and sent upstream.
    - Add command-chown-change-separator.patch
    - Add fix-typos.patch
  * d/watch:
    - Update URL, repository moved to new location.
    - Bump to version 4.
  * Drop d/compat, use debhelper-compat in d/control instead.
  * d/control:
    - Change from Python 2 to Python 3 build-dependencies.
    - Drop python-lxml, and add python3-setuptools.
    - Drop ancient X-Python3 field.
    - Change libopenscap8 -> openscap-scanner.
    - Bump debhelper to 13.
    - Update Standards-Version to 4.6.1
    - Document Rules-Requires-Root.
    - Update binary package description.
    - Add myself as uploader.
  * d/rules: Specify build directory 'build'.
  * Update d/*.install and d/*.docs.
  * d/not-installed: Don't install upstream license file.
  * d/ssg-base.manpages: Update path.
  * Drop d/ssg-base.preinst, no longer needed.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository
    and Repository-Browse.
  * d/copyright:
    - Change to secure copyright URI.
    - Update source, point to GitHub repository.
    - Update main license, upstream project was relicensed to BSD-3-clause.
    - Drop three paragraphs for now removed files, add one new paragraph.
    - Add myself under Debian paragraph.
  * d/*.doc-base: Remove all files, outdated.
  * Remove automated way to acquire upstream changelog. This removes patch,
    script, python3-requests BD and 'mkrelease' target in d/rules.
  * Don't generate bash scripts.
  * d/ssg-base.dirs: Add usr/share/scap-security-guide/kickstart and
    usr/share/scap-security-guide/tailoring
  * wrap-and-sort -at
  * Add d/ssg-base.lintian-overrides, override empty directories tag.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 19 Jul 2022 00:18:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,32 +2,32 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Philippe Thierry <phil@reseau-libre.net>
-Build-Depends:
- debhelper (>=10),
- python3 (>> 3.6),
- python2 (>> 2.7),
- python-requests,
- python-yaml,
- python-jinja2,
- python-lxml,
- xsltproc,
- expat,
- libxml2-utils,
- libopenscap8,
- cmake
-Standards-Version: 4.1.5
-X-Python3-Version: >= 3.6
+Uploaders: Philippe Thierry <phil@reseau-libre.net>,
+           Håvard F.Aasen <havard.f.aasen@pfft.no>,
+Build-Depends: cmake,
+               debhelper-compat (=13),
+               expat,
+               libxml2-utils,
+               openscap-common,
+               openscap-scanner,
+               python3,
+               python3-jinja2,
+               python3-setuptools,
+               python3-yaml,
+               xsltproc,
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://www.open-scap.org/security-policies/scap-security-guide
 Vcs-Git: https://salsa.debian.org/pkg-security-team/scap-security-guide.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/scap-security-guide
 
 Package: ssg-base
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Multi-Arch: foreign
-Recommends: libopenscap8
-Suggests: ansible, puppet
+Recommends: openscap-scanner,
+Suggests: ansible,
+          puppet,
 Description: SCAP Security guide base content and documentation
  This package contains the basic content and manual pages explaining how
  the SCAP-security-guide works. It deploys man page and all various
@@ -41,11 +41,12 @@
 
 Package: ssg-debian
 Architecture: all
-Depends: ${misc:Depends}, ssg-base
+Depends: ssg-base,
+         ${misc:Depends},
 Multi-Arch: foreign
-Description: SCAP Guides and benchmarks targeting Debian 8
+Description: SCAP Guides and benchmarks targeting Debian releases
  This package contains all the SCAP guides, benchmarks and remediation
- files for Debian Jessie. Remediation files are Shell-based, Ansible-based
+ files for Debian releases. Remediation files are Shell-based, Ansible-based
  and Puppet-based depending on the target infrastructure deployment policy.
  .
  SCAP (Security Content Automation Protocol) is a set of standards used in
@@ -56,11 +57,12 @@
 
 Package: ssg-debderived
 Architecture: all
-Depends: ${misc:Depends}, ssg-base
+Depends: ssg-base,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: SCAP Guides and benchmarks targeting Debian-based OS
  This package contains all the SCAP guides for deb-based distributions
- such as Ubuntu Trusty or Xenial.
+ such as Ubuntu.
  This package contains all the SCAP guides, benchmarks and remediation
  files. Remediation files are Shell-based, Ansible-based  and
  Puppet-based depending on the target infrastructure deployment policy.
@@ -73,7 +75,8 @@
 
 Package: ssg-applications
 Architecture: all
-Depends: ${misc:Depends}, ssg-base
+Depends: ssg-base,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: SCAP Guides and benchmarks targeting userspace applications
  This package contains all the SCAP guides, benchmarks and remediation
@@ -89,13 +92,14 @@
 
 Package: ssg-nondebian
 Architecture: all
-Depends: ${misc:Depends}, ssg-base
+Depends: ssg-base,
+         ${misc:Depends},
 Multi-Arch: foreign
 Description: SCAP Guides and benchmarks targeting other GNU/Linux OS
  This package contains all the SCAP guides, benchmarks and remediation
- files for nondebian operating system targets such as Red-Hat RHEL or SuSE.
- Remediation files are Shell-based, Ansible-based and Puppet-based depending
- on the target infrastructure deployment policy.
+ files for nondebian operating system targets such as Red-Hat RHEL, SuSE and
+ others. Remediation files are Shell-based, Ansible-based and Puppet-based
+ depending on the target infrastructure deployment policy.
  .
  SCAP (Security Content Automation Protocol) is a set of standards used in
  order to automatically manage vulnerabilities and policy compliance

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


%:
	dh $@ --builddir=build

override_dh_auto_configure:
	dh_auto_configure -- -DSSG_BASH_SCRIPTS_ENABLED=OFF
